Index: /trunk/anuga_core/compile_all.py
===================================================================
--- /trunk/anuga_core/compile_all.py	(revision 9300)
+++ /trunk/anuga_core/compile_all.py	(revision 9301)
@@ -29,13 +29,13 @@
 #--------------------------------------------------
 # Compiling anuga_1d code
+# excluded for the time being
 #--------------------------------------------------
-os.chdir('source')
-os.chdir('anuga_1d')
+#os.chdir('anuga_1d')
 
 
-t0 = time.time()
+#t0 = time.time()
 
 # Attempt to compile all ANUGA_1D extensions
-execfile('compile_all.py')
+#execfile('compile_all.py')
 
 
@@ -52,5 +52,5 @@
     print '-----------------------------------------------'
 
-
+    import pypar
 
     # Attempt to compile Metis for use with anuga_parallel
@@ -85,5 +85,5 @@
         
 except:
-    print 'pymetis could not compile'
+    print 'pymetis could not compile as pypar not installed'
 
 
@@ -92,5 +92,5 @@
 
 #--------------------------------------------------
-# Compiling anuga_parallel code
+# Compiling pypar_extras
 #--------------------------------------------------
 
@@ -117,5 +117,5 @@
         raise Exception, msg
     else:
-        msg = 'Compiled pypar_extras succesfully.'
+        msg = 'Compiled pypar_extras successfully.'
         print msg
 except:
Index: /trunk/anuga_core/source/anuga/__init__.py
===================================================================
--- /trunk/anuga_core/source/anuga/__init__.py	(revision 9300)
+++ /trunk/anuga_core/source/anuga/__init__.py	(revision 9301)
@@ -87,6 +87,8 @@
 from anuga_parallel.parallel_api import send, receive
 from anuga_parallel.parallel_api import pypar_available, barrier, finalize
-from anuga_parallel.parallel_api import sequential_distribute_dump
-from anuga_parallel.parallel_api import sequential_distribute_load
+
+if pypar_available:
+    from anuga_parallel.parallel_api import sequential_distribute_dump
+    from anuga_parallel.parallel_api import sequential_distribute_load
 
 
Index: /trunk/anuga_core/source/anuga/utilities/parallel_abstraction.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/parallel_abstraction.py	(revision 9300)
+++ /trunk/anuga_core/source/anuga/utilities/parallel_abstraction.py	(revision 9301)
@@ -65,3 +65,3 @@
     from pypar import *
     sys.stdout = sys.__stdout__ 
-    pypar_available = True    
+    pypar_available = True 
Index: /trunk/anuga_core/source/anuga_parallel/parallel_api.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/parallel_api.py	(revision 9300)
+++ /trunk/anuga_core/source/anuga_parallel/parallel_api.py	(revision 9301)
@@ -11,11 +11,11 @@
 from anuga.utilities.parallel_abstraction import pypar_available, barrier
 
-from anuga_parallel.sequential_distribute import sequential_distribute_dump
-from anuga_parallel.sequential_distribute import sequential_distribute_load
-
 
 
 # ANUGA parallel engine (only load if pypar can)
 if pypar_available:
+    from anuga_parallel.sequential_distribute import sequential_distribute_dump
+    from anuga_parallel.sequential_distribute import sequential_distribute_load
+    
     from anuga_parallel.distribute_mesh  import send_submesh
     from anuga_parallel.distribute_mesh  import rec_submesh
Index: /trunk/anuga_core/test_all.py
===================================================================
--- /trunk/anuga_core/test_all.py	(revision 9300)
+++ /trunk/anuga_core/test_all.py	(revision 9301)
@@ -16,21 +16,18 @@
 
 
-os.chdir(buildroot)
-os.chdir('source')
-os.chdir('anuga_1d')
-print
-print '======================= anuga_1d tests ================================='    
-print 'Changing to', os.getcwd() # This is now different from buildroot   
-execfile('test_all.py')
+#os.chdir(buildroot)
+#os.chdir('source')
+#os.chdir('anuga_1d')
+#print
+#print '======================= anuga_1d tests ================================='    
+#print 'Changing to', os.getcwd() # This is now different from buildroot   
+#xecfile('test_all.py')
 
 
 
 # Try to run parallel tests if pypar is installed
-
-try:
-    import pypar
-except:
-    print 'anuga_parallel tests not run as pypar not installed'
-else:
+from anuga import pypar_available
+   
+if pypar_available:
     os.chdir(buildroot)
     os.chdir('source')
@@ -40,4 +37,6 @@
     print 'Changing to', os.getcwd()
     execfile('test_all.py')
+else:
+    print 'anuga_parallel tests not run as pypar not installed'
 
 