Index: /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/anuga/boundaries/Patong_bounding_polygon/Patong_bounding_polygon.prj
===================================================================
--- /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/anuga/boundaries/Patong_bounding_polygon/Patong_bounding_polygon.prj	(revision 9337)
+++ /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/anuga/boundaries/Patong_bounding_polygon/Patong_bounding_polygon.prj	(revision 9337)
@@ -0,0 +1,1 @@
+PROJCS["WGS_1984_UTM_Zone_47N",GEOGCS["GCS_WGS_1984",DATUM["D_WGS_1984",SPHEROID["WGS_1984",6378137,298.257223563]],PRIMEM["Greenwich",0],UNIT["Degree",0.017453292519943295]],PROJECTION["Transverse_Mercator"],PARAMETER["latitude_of_origin",0],PARAMETER["central_meridian",99],PARAMETER["scale_factor",0.9996],PARAMETER["false_easting",500000],PARAMETER["false_northing",0],UNIT["Meter",1]]
Index: /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/anuga/boundaries/Patong_bounding_polygon/Patong_bounding_polygon.qpj
===================================================================
--- /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/anuga/boundaries/Patong_bounding_polygon/Patong_bounding_polygon.qpj	(revision 9337)
+++ /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/anuga/boundaries/Patong_bounding_polygon/Patong_bounding_polygon.qpj	(revision 9337)
@@ -0,0 +1,1 @@
+PROJCS["WGS 84 / UTM zone 47N",GEOGCS["WGS 84",DATUM["WGS_1984",SPHEROID["WGS 84",6378137,298.257223563,AUTHORITY["EPSG","7030"]],AUTHORITY["EPSG","6326"]],PRIMEM["Greenwich",0,AUTHORITY["EPSG","8901"]],UNIT["degree",0.0174532925199433,AUTHORITY["EPSG","9122"]],AUTHORITY["EPSG","4326"]],PROJECTION["Transverse_Mercator"],PARAMETER["latitude_of_origin",0],PARAMETER["central_meridian",99],PARAMETER["scale_factor",0.9996],PARAMETER["false_easting",500000],PARAMETER["false_northing",0],UNIT["metre",1,AUTHORITY["EPSG","9001"]],AXIS["Easting",EAST],AXIS["Northing",NORTH],AUTHORITY["EPSG","32647"]]
Index: /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/scripts/project.py
===================================================================
--- /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/scripts/project.py	(revision 9336)
+++ /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/scripts/project.py	(revision 9337)
@@ -19,5 +19,4 @@
 import numpy
 from anuga.utilities import spatialInputUtil as su
-import anuga
 from anuga_parallel import myid, barrier, send, receive, numprocs
 
@@ -45,5 +44,5 @@
 #
 
-finaltime = 0.05 * 3600.0
+finaltime = 10.  # 0.05 * 3600.0
 
 # Model time between output file timesteps in seconds
@@ -243,5 +242,5 @@
 
 if pt_areas is not None:
-    region_point_areas = su.readregion_point_areas(
+    region_point_areas = su.readRegionPointAreas(
         pt_areas,
         convert_length_to_area=True)
@@ -336,6 +335,8 @@
 
 def setup_directory_structure():
-    """
-    Make output directories, send important data to files
+    """Make output directories, send important data to files
+
+    This has no arguments, and returns nothing, but has lots of important side
+    effects
     """
 
@@ -378,4 +379,6 @@
 
     def sav_lines(lines, filename='check.txt'):
+        """quick convenience function
+        """
         new_a = numpy.array(lines)
         numpy.savetxt(filename, new_a)
Index: /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/scripts/raster_outputs.py
===================================================================
--- /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/scripts/raster_outputs.py	(revision 9336)
+++ /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/scripts/raster_outputs.py	(revision 9337)
@@ -145,5 +145,5 @@
       the rasters to
     - proj4string defining the coordinate system
-    - myTimeStep -- option from util.Make_Geotif
+    - my_time_step -- option from util.Make_Geotif
       use 'max' to plot the maxima
       use [0, 5, 10] to plot the
@@ -210,5 +210,5 @@
                 tmp_arr,
                 output_quantities=[quant + '_MAX'],
-                cell_size=cell_size,
+                CellSize=cell_size,
                 proj4string=proj4string,
                 verbose=True,
@@ -221,7 +221,7 @@
         util.Make_Geotif(
             sww_file,
-            my_time_step=[0],
+            myTimeStep=[0],
             output_quantities=['elevation', 'friction'],
-            cell_size=cell_size,
+            CellSize=cell_size,
             proj4string=proj4string,
             verbose=True,
@@ -232,5 +232,5 @@
         util.Make_Geotif(
             sww_file,
-            my_time_step=my_time_step,
+            myTimeStep=my_time_step,
             output_quantities=[
                 'depth',
@@ -241,5 +241,5 @@
                 'friction',
             ],
-            cell_size=cell_size,
+            CellSize=cell_size,
             proj4string=proj4string,
             verbose=True,
@@ -263,5 +263,5 @@
         elevation_raster,
         raster_extent,
-        cell_size,
+        CellSize,
         clip_polygon,
         clip_polygon_layer,
Index: /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/scripts/setup_initial_conditions.py
===================================================================
--- /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/scripts/setup_initial_conditions.py	(revision 9336)
+++ /trunk/anuga_work/development/gareth/template_scenarios/tsunami/tsunami2/scripts/setup_initial_conditions.py	(revision 9337)
@@ -120,5 +120,6 @@
     # The 'saddle 10m' dataset
 
-    sf = '../anuga/topographies/patong_10m_small_grid_for_anuga_sub_Project.txt'
+    sf =\
+        '../anuga/topographies/patong_10m_small_grid_for_anuga_sub_Project.txt'
     elevation_saddle_10m = \
         numpy.genfromtxt(sf, delimiter=',', skip_header=1)